API reference · Curp validation

Add curp v2

POST/omni/add/curp/v2

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Add CURP and validation result based on a person data.

Path & query parameters

Name In Type Required Description
interviewId query string
api-version header string yes

Request body

Valid values for state are the ones listed by renapo in this link: https://es.wikipedia.org/wiki/Plantilla:Abreviaciones_de_los_estados_de_México

Content-Type: application/json

Field Type Required Description
curp string User's curp. Has to be in valid format. If it isn't present, then curp value from interview is used.
name string
firstLastName string
secondLastName string
gender string Valid gender values are "H" (Hombre, male), "M" (mujer, female) and "X" (otro, other) Enum: H, M, X
birthDate string (dd/mm/yyyy)
state string
externalId string

Responses

200

Respuesta con validación de CURP

{
  "success": true,
  "curp": "XXXX820814HDFABC01",
  "sex": "MUJER",
  "nationality": "MEX",
  "result": "success",
  "requestData": {
    "name": "JUANA",
    "firstLastName": "PEREZ",
    "secondLastName": "LOPEZ",
    "gender": "M",
    "birthDate": "14/08/1982",
    "state": "DF"
  },
  "transactionId": "transaction1234567890",
  "renapo_valid": true,
  "names": "JUANA",
  "paternal_surname": "PEREZ",
  "mothers_maiden_name": "LOPEZ",
  "birthdate": "14/08/1982",
  "entity_birth": "DF",
  "probation_document": "1",
  "probation_document_data": {
    "foja": "",
    "numEntidadReg": "09",
    "libro": "",
    "NumRegExtranjeros": "",
    "cveEntidadNac": "DF",
    "numActa": "00001",
    "CRIP": "",
    "tomo": "",
    "cveEntidadEmisora": "",
    "anioReg": "1982",
    "cveMunicipioReg": "001",
    "FolioCarta": ""
  },
  "status_curp": "RCN",
  "deceasedStatus": "ALIVE"
}

400

Bad Request

Response body (application/json):

Field Type Required Description
timestamp integer (int64) UTC timestamp in milliseconds
status integer (int32) Custom error code or HTTP status code
error string HTTP status error
message string Custom error message
path string Endpoint path
details object Custom error details

500

Internal error during CURP validation.

504

The request to validate the CURP exceeded the allowed time limit

Was this page helpful?